Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class SurrogateRegexTranslator.Empty

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.Empty

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Empty

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches nothing

Method Summary
`static SurrogateRegexTranslator.Empty` | `getInstance()`
`void` | `inClassOutputBmp(FastStringBuffer buf)`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputBmp, outputComplementBmp`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SurrogateRegexTranslator.Empty getInstance()

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.